# Update

## Update Card Holder Information

<mark style="color:orange;">`PUT`</mark> `https://sandbox.pgecom.com/api/partner/cardholder`

#### Request Body

| Name                                           | Type   | Description             |
| ---------------------------------------------- | ------ | ----------------------- |
| cardHolderId<mark style="color:red;">\*</mark> | String | Card holder id          |
| line1<mark style="color:red;">\*</mark>        | String | Card holder line1       |
| city<mark style="color:red;">\*</mark>         | String | Card holder city        |
| state<mark style="color:red;">\*</mark>        | String | Card holder state       |
| country<mark style="color:red;">\*</mark>      | String | Card holder country     |
| postal\_code<mark style="color:red;">\*</mark> | String | Card holder postal code |
| first\_name<mark style="color:red;">\*</mark>  | String | Card holder first name  |
| last\_name<mark style="color:red;">\*</mark>   | String | Card holder last name   |
| line2                                          | String | Card holder line2       |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "id": "ich_1LWcstEDjZxHmxzHKG1lH9r1",
    "object": "issuing.cardholder",
    "billing": {
        "address": {
            "city": "Johns Creek",
            "country": "US",
            "line1": "9700 Medlock Bridge Road",
            "line2": null,
            "postal_code": "97000",
            "state": "GA"
        }
    },
    "company": null,
    "created": 1660468407,
    "email": "omh61313@cdfaq.com",
    "individual": {
        "dob": null,
        "first_name": "Esterling",
        "last_name": "Accime",
        "verification": {
            "document": {
                "back": null,
                "front": null
            }
        }
    },
    "livemode": false,
    "metadata": {
        "balance": "7500.249",
        "email": "omh61313@cdfaq.com",
        "isPrepaid": "true",
        "userID": "bbdf8b70-394a-4dcc-bf0c-c556f1a61109"
    },
    "name": "Esterling Accime",
    "phone_number": null,
    "requirements": {
        "disabled_reason": null,
        "past_due": []
    },
    "spending_controls": {
        "allowed_categories": [],
        "blocked_categories": [],
        "spending_limits": [],
        "spending_limits_currency": null
    },
    "status": "active",
    "type": "individual"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pgecom.com/api-endpoint/deprecated/card-holder/update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
